Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.common
Class PrefName

    java.lang.Object
      net.sf.borg.common.PrefName

    public class PrefName

extends Object

PrefName contains all of the Borg preference definitions and default values. It enforces compile time checking of preference names

Field Summary
`static PrefName` | `ADDRLISTVIEWSIZE` The ADDRLISTVIEWSIZE.
`static PrefName` | `ADDRVIEWSIZE` The ADDRVIEWSIZE.
`static PrefName` | `APPTFONT` The APPTFONT.
`static PrefName` | `APPTLISTVIEWSIZE` The APPTLISTVIEWSIZE.
`static PrefName` | `BACKGSTART` start as iconified to system tray
`static PrefName` | `BACKUPDIR` backup directory for auto backup
`static PrefName` | `BEEPINGREMINDERS` The BEEPINGREMINDERS
`static PrefName` | `CAL_SHOW_SUBTASKS` show subtasks on calendar
`static PrefName` | `CAL_SHOW_TASKS` show tasks on calendar
`static PrefName` | `COLORPRINT` print in color
`static PrefName` | `COLORSORT` sort appointments by color for a day
`static PrefName` | `COUNTRY` The COUNTRY.
`static PrefName` | `DAYOFYEAR` show the day of the year
`static PrefName` | `DAYVIEWFONT` The DAYVIEWFONT.
`static PrefName` | `DAYVIEWSIZE` The size of the main borg window.
`static PrefName` | `DBHOST` database host
`static PrefName` | `DBNAME` database name
`static PrefName` | `DBPASS` database password
`static PrefName` | `DBPORT` databse port
`static PrefName` | `DBTYPE` database type.
`static PrefName` | `DBUSER` database user
`static PrefName` | `DEFAULT_APPT` contents of the default appointment in XML
`static PrefName` | `DEFFONT` The DEFFONT.
`static PrefName` | `DOCKPANELS` dock all panels in the main tab window by default (few windows can be undocked)
`static PrefName` | `EMAILADDR` The EMAILADDR.
`static PrefName` | `EMAILDEBUG` The EMAILDEBUG.
`static PrefName` | `EMAILENABLED` The EMAILENABLED.
`static PrefName` | `EMAILLAST` The EMAILLAST.
`static PrefName` | `EMAILPASS` The EMAILPASS.
`static PrefName` | `EMAILPASS2`
`static PrefName` | `EMAILPORT` The EMAILPORT.
`static PrefName` | `EMAILSERVER` The EMAILSERVER.
`static PrefName` | `EMAILTIME` The EMAILTIME.
`static PrefName` | `EMAILUSER` The EMAILUSER.
`static PrefName` | `ENABLETLS` TLS flag
`static PrefName` | `FIRSTDOW` the first day of the week
`static PrefName` | `GANTT_SHOW_SUBTASKS` show subtasks on gantt chart
`static PrefName` | `GANTTSIZE` The GANTT chart size.
`static PrefName` | `GRADIENT_APPTS` draw gradient color in appointment boxes - can slow down older machines
`static PrefName` | `HELPVIEWSIZE` size of the help window
`static PrefName` | `HIDESTRIKETHROUGH` do not show strikethrough appointments
`static PrefName` | `HSQLDBDIR` hsql database directory
`static PrefName` | `ISOWKNUMBER` use iso week numbering
`static PrefName` | `JDBCURL` jdbc url - for generic jdbc only, not hsql or mysql
`static PrefName` | `KEYALIAS` encryption key alias in the keystore
`static PrefName` | `KEYSTORE` keystore location
`static PrefName` | `LANGUAGE` The LANGUAGE.
`static PrefName` | `LNF` The LNF.
`static PrefName` | `MILTIME` show military time
`static PrefName` | `MONTHVIEWFONT` The MONTHVIEWFONT.
`static PrefName` | `OPTVIEWSIZE` size of the option window.
`static PrefName` | `PASSWORD_TTL` cached password time to live in seconds
`static PrefName` | `PROJVIEWSIZE` size of the project view when undocked
`static PrefName` | `REMINDERLIST` option to consolidate all reminders in a single list window
`static PrefName` | `REMINDERLISTSIZE`
`static PrefName` | `REMINDERS` The REMINDERS.
`static PrefName` | `REMMINS` The REMMINS.
`static PrefName` | `SHOW_UNDO_STACK` show the entire undo stack (debugging)
`static PrefName` | `SHOWCANHOLIDAYS` show canadian holidays
`static PrefName` | `SHOWPRIVATE` show private appointments
`static PrefName` | `SHOWPUBLIC` show public appontments
`static PrefName` | `SHOWUSHOLIDAYS` show us holidays
`static PrefName` | `SOCKETPORT` port for the socket listener
`static PrefName` | `SPLASH` show the spash window
`static PrefName` | `SRCHVIEWSIZE` size of the search window.
`static PrefName` | `STACKTRACE` show a stack trace button on error dialogs
`static PrefName` | `SYNCMINS` interval for db auto-sync in minutes
`static PrefName` | `SYSTRAYDATE` show date is system tray
`static PrefName` | `TASK_SHOW_ABBREV` when showing tasks project and subtasks, prepend a prefix and id number
`static PrefName` | `TASK_TREE_SHOW_STATUS` show task number and status in task tree
`static PrefName` | `TASKCONFVIEWSIZE` size of the task config window
`static PrefName` | `TASKVIEWSIZE` size of the task view window when undocked
`static PrefName` | `TODOREMINDERMINS` how often tp pop up reminders for untimed todos
`static PrefName` | `TODOVIEWSIZE` size of the todo view when undocked
`static PrefName` | `TRUNCAPPT` truncate appointment text after 1 line
`static PrefName` | `UCS_BLACK`
`static PrefName` | `UCS_BLUE`
`static PrefName` | `UCS_BRICK`
`static PrefName` | `UCS_DEFAULT`
`static PrefName` | `UCS_GREEN`
`static PrefName` | `UCS_HALFDAY` color for half days
`static PrefName` | `UCS_HOLIDAY` color for holidays
`static PrefName` | `UCS_MARKER` characters or image to mark todos with
`static PrefName` | `UCS_MARKTODO` mark todos on the calendar
`static PrefName` | `UCS_NAVY`
`static PrefName` | `UCS_ONTODO` use user colors on todo view
`static PrefName` | `UCS_PURPLE`
`static PrefName` | `UCS_RED` default colors - they are tunable and do not have to match the color in the name
`static PrefName` | `UCS_STRIPE` color for alternating table stripes
`static PrefName` | `UCS_TODAY` color for current day
`static PrefName` | `UCS_VACATION` color for vacation days
`static PrefName` | `UCS_WEEKDAY` color for weekdays
`static PrefName` | `UCS_WEEKEND` color for weekends
`static PrefName` | `UCS_WHITE`
`static PrefName` | `USESYSTRAY` use system tray
`static PrefName` | `WEEKVIEWFONT` The WEEKVIEWFONT.
`static PrefName` | `WKENDHOUR` latest hour in week grid
`static PrefName` | `WKSTARTHOUR` earliest hour in week grid

Constructor Summary
`PrefName(String name, Object def)` Instantiates a new pref name.

Method Summary
`Object` | `getDefault()` Gets the default value
`(package private) String` | `getName()` Gets the name.
`(package private) void` | `setDefault(Object default_)` Sets the default value
`(package private) void` | `setName(String name_)` Sets the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBTYPE

    public static PrefName DBTYPE

  database type.

### DBHOST

    public static PrefName DBHOST

  database host

### DBPORT

    public static PrefName DBPORT

  databse port

### DBNAME

    public static PrefName DBNAME

  database name

### DBUSER

    public static PrefName DBUSER

  database user

### DBPASS

    public static PrefName DBPASS

  database password

### JDBCURL

    public static PrefName JDBCURL

  jdbc url - for generic jdbc only, not hsql or mysql

### SYNCMINS

    public static PrefName SYNCMINS

  interval for db auto-sync in minutes

### HSQLDBDIR

    public static PrefName HSQLDBDIR

  hsql database directory

### STACKTRACE

    public static PrefName STACKTRACE

  show a stack trace button on error dialogs

### SPLASH

    public static PrefName SPLASH

  show the spash window

### SOCKETPORT

    public static PrefName SOCKETPORT

  port for the socket listener

### BACKGSTART

    public static PrefName BACKGSTART

  start as iconified to system tray

### USESYSTRAY

    public static PrefName USESYSTRAY

  use system tray

### SYSTRAYDATE

    public static PrefName SYSTRAYDATE

  show date is system tray

### BACKUPDIR

    public static PrefName BACKUPDIR

  backup directory for auto backup

### COLORPRINT

    public static PrefName COLORPRINT

  print in color

### SHOWPUBLIC

    public static PrefName SHOWPUBLIC

  show public appontments

### SHOWPRIVATE

    public static PrefName SHOWPRIVATE

  show private appointments

### SHOWUSHOLIDAYS

    public static PrefName SHOWUSHOLIDAYS

  show us holidays

### SHOWCANHOLIDAYS

    public static PrefName SHOWCANHOLIDAYS

  show canadian holidays

### COLORSORT

    public static PrefName COLORSORT

  sort appointments by color for a day

### FIRSTDOW

    public static PrefName FIRSTDOW

  the first day of the week

### MILTIME

    public static PrefName MILTIME

  show military time

### WKSTARTHOUR

    public static PrefName WKSTARTHOUR

  earliest hour in week grid

### WKENDHOUR

    public static PrefName WKENDHOUR

  latest hour in week grid

### DEFAULT_APPT

    public static PrefName DEFAULT_APPT

  contents of the default appointment in XML

### DAYOFYEAR

    public static PrefName DAYOFYEAR

  show the day of the year

### TRUNCAPPT

    public static PrefName TRUNCAPPT

  truncate appointment text after 1 line

### ISOWKNUMBER

    public static PrefName ISOWKNUMBER

  use iso week numbering

### DOCKPANELS

    public static PrefName DOCKPANELS

  dock all panels in the main tab window by default (few windows can be undocked)

### HIDESTRIKETHROUGH

    public static PrefName HIDESTRIKETHROUGH

  do not show strikethrough appointments

### SHOW_UNDO_STACK

    public static PrefName SHOW_UNDO_STACK

  show the entire undo stack (debugging)

### REMINDERS

    public static PrefName REMINDERS

  The REMINDERS.

### BEEPINGREMINDERS

    public static PrefName BEEPINGREMINDERS

  The BEEPINGREMINDERS

### TODOREMINDERMINS

    public static PrefName TODOREMINDERMINS

  how often tp pop up reminders for untimed todos

### REMINDERLIST

    public static PrefName REMINDERLIST

  option to consolidate all reminders in a single list window

### EMAILENABLED

    public static PrefName EMAILENABLED

  The EMAILENABLED.

### EMAILSERVER

    public static PrefName EMAILSERVER

  The EMAILSERVER.

### EMAILADDR

    public static PrefName EMAILADDR

  The EMAILADDR.

### EMAILLAST

    public static PrefName EMAILLAST

  The EMAILLAST.

### EMAILDEBUG

    public static PrefName EMAILDEBUG

  The EMAILDEBUG.

### EMAILTIME

    public static PrefName EMAILTIME

  The EMAILTIME.

### EMAILUSER

    public static PrefName EMAILUSER

  The EMAILUSER.

### EMAILPASS

    public static PrefName EMAILPASS

  The EMAILPASS.

### EMAILPASS2

    public static PrefName EMAILPASS2

### EMAILPORT

    public static PrefName EMAILPORT

  The EMAILPORT.

### ENABLETLS

    public static PrefName ENABLETLS

  TLS flag

### REMMINS

    public static PrefName REMMINS

  The REMMINS.

### DEFFONT

    public static PrefName DEFFONT

  The DEFFONT.

### APPTFONT

    public static PrefName APPTFONT

  The APPTFONT.

### DAYVIEWFONT

    public static PrefName DAYVIEWFONT

  The DAYVIEWFONT.

### WEEKVIEWFONT

    public static PrefName WEEKVIEWFONT

  The WEEKVIEWFONT.

### MONTHVIEWFONT

    public static PrefName MONTHVIEWFONT

  The MONTHVIEWFONT.

### LNF

    public static PrefName LNF

  The LNF.

### COUNTRY

    public static PrefName COUNTRY

  The COUNTRY.

### LANGUAGE

    public static PrefName LANGUAGE

  The LANGUAGE.

### ADDRVIEWSIZE

    public static PrefName ADDRVIEWSIZE

  The ADDRVIEWSIZE.

### ADDRLISTVIEWSIZE

    public static PrefName ADDRLISTVIEWSIZE

  The ADDRLISTVIEWSIZE.

### APPTLISTVIEWSIZE

    public static PrefName APPTLISTVIEWSIZE

  The APPTLISTVIEWSIZE.

### DAYVIEWSIZE

    public static PrefName DAYVIEWSIZE

  The size of the main borg window.

### OPTVIEWSIZE

    public static PrefName OPTVIEWSIZE

  size of the option window.

### SRCHVIEWSIZE

    public static PrefName SRCHVIEWSIZE

  size of the search window.

### TASKCONFVIEWSIZE

    public static PrefName TASKCONFVIEWSIZE

  size of the task config window

### TASKVIEWSIZE

    public static PrefName TASKVIEWSIZE

  size of the task view window when undocked

### TODOVIEWSIZE

    public static PrefName TODOVIEWSIZE

  size of the todo view when undocked

### HELPVIEWSIZE

    public static PrefName HELPVIEWSIZE

  size of the help window

### PROJVIEWSIZE

    public static PrefName PROJVIEWSIZE

  size of the project view when undocked

### GANTTSIZE

    public static PrefName GANTTSIZE

  The GANTT chart size.

### REMINDERLISTSIZE

    public static final PrefName REMINDERLISTSIZE

### UCS_ONTODO

    public static PrefName UCS_ONTODO

  use user colors on todo view

### UCS_MARKTODO

    public static PrefName UCS_MARKTODO

  mark todos on the calendar

### UCS_MARKER

    public static PrefName UCS_MARKER

  characters or image to mark todos with

### UCS_RED

    public static PrefName UCS_RED

  default colors - they are tunable and do not have to match the color in the name

### UCS_BLUE

    public static PrefName UCS_BLUE

### UCS_GREEN

    public static PrefName UCS_GREEN

### UCS_BLACK

    public static PrefName UCS_BLACK

### UCS_WHITE

    public static PrefName UCS_WHITE

### UCS_NAVY

    public static PrefName UCS_NAVY

### UCS_PURPLE

    public static PrefName UCS_PURPLE

### UCS_BRICK

    public static PrefName UCS_BRICK

### UCS_DEFAULT

    public static PrefName UCS_DEFAULT

### UCS_TODAY

    public static PrefName UCS_TODAY

  color for current day

### UCS_HOLIDAY

    public static PrefName UCS_HOLIDAY

  color for holidays

### UCS_VACATION

    public static PrefName UCS_VACATION

  color for vacation days

### UCS_HALFDAY

    public static PrefName UCS_HALFDAY

  color for half days

### UCS_WEEKEND

    public static PrefName UCS_WEEKEND

  color for weekends

### UCS_WEEKDAY

    public static PrefName UCS_WEEKDAY

  color for weekdays

### UCS_STRIPE

    public static PrefName UCS_STRIPE

  color for alternating table stripes

### GRADIENT_APPTS

    public static PrefName GRADIENT_APPTS

  draw gradient color in appointment boxes - can slow down older machines

### TASK_SHOW_ABBREV

    public static PrefName TASK_SHOW_ABBREV

  when showing tasks project and subtasks, prepend a prefix and id number

### CAL_SHOW_TASKS

    public static PrefName CAL_SHOW_TASKS

  show tasks on calendar

### CAL_SHOW_SUBTASKS

    public static PrefName CAL_SHOW_SUBTASKS

  show subtasks on calendar

### TASK_TREE_SHOW_STATUS

    public static PrefName TASK_TREE_SHOW_STATUS

  show task number and status in task tree

### GANTT_SHOW_SUBTASKS

    public static PrefName GANTT_SHOW_SUBTASKS

  show subtasks on gantt chart

### KEYSTORE

    public static PrefName KEYSTORE

  keystore location

### KEYALIAS

    public static PrefName KEYALIAS

  encryption key alias in the keystore

### PASSWORD_TTL

    public static PrefName PASSWORD_TTL

  cached password time to live in seconds

Constructor Detail

### PrefName

    public PrefName(String name,
                    Object def)

  Instantiates a new pref name.

  Parameters:
    `name` - the name
    `def` - the default value

Method Detail

### setName

    void setName(String name_)

  Sets the name.

  Parameters:
    `name_` - the new name

### getName

    String getName()

  Gets the name.

  Returns:
    the name

### setDefault

    void setDefault(Object default_)

  Sets the default value

  Parameters:
    `default_` - the new default

### getDefault

    public Object getDefault()

  Gets the default value

  Returns:
    the default

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic